import { ref, unref } from "vue";
const useLoadingDelayPlugin = (inst, { loadingDelay }) => {
  const delayRef = ref();
  return {
    name: "loadingDelayPlugin",
    onFinally: () => {
      if (delayRef.value) {
        clearTimeout(unref(delayRef.value));
        delayRef.value = void 0;
      }
      inst.setState({
        loading: true
      });
      setTimeout(() => {
        inst.setState({
          loading: false
        });
      }, unref(loadingDelay));
    }
  };
};
export {
  useLoadingDelayPlugin as default
};
