"use strict";
const vue = require("vue");
const useLoadingDelayPlugin = (inst, { loadingDelay }) => {
  const delayRef = vue.ref();
  return {
    name: "loadingDelayPlugin",
    onFinally: () => {
      if (delayRef.value) {
        clearTimeout(vue.unref(delayRef.value));
        delayRef.value = void 0;
      }
      inst.setState({
        loading: true
      });
      setTimeout(() => {
        inst.setState({
          loading: false
        });
      }, vue.unref(loadingDelay));
    }
  };
};
module.exports = useLoadingDelayPlugin;
